# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl -X POST "https://api.sbx.hopnow.io/va/v1/customers/cus_x7k2m9p4q1w8e5r3t6y0u2i4/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/agreements/actions" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE" \
-H "Content-Type: application/json" \
-d '{
"signer_id": "aap_8e5r3t6y0u2i4k9m4p7q1w",
"agreement_actions": [
{
"agreement_id": "aagr_2k9m4p7q1w8e5r3t6y0u2i4",
"action": "accept"
}
]
}'
{
"signer_id": "aap_8e5r3t6y0u2i4k9m4p7q1w",
"agreement_actions": [
{
"agreement_id": "aagr_2k9m4p7q1w8e5r3t6y0u2i4",
"action": "accept"
}
]
}
{
"results": [
{
"agreement_id": "aagr_2k9m4p7q1w8e5r3t6y0u2i4",
"status": "accepted",
"responded_at": "2026-06-22T09:12:45Z"
}
]
}
Agreements
Submit Agreement Actions
Accept or reject one or more pending assigned agreements
POST
/
va
/
v1
/
customers
/
{customer_id}
/
accounts
/
{account_id}
/
agreements
/
actions
# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl -X POST "https://api.sbx.hopnow.io/va/v1/customers/cus_x7k2m9p4q1w8e5r3t6y0u2i4/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/agreements/actions" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE" \
-H "Content-Type: application/json" \
-d '{
"signer_id": "aap_8e5r3t6y0u2i4k9m4p7q1w",
"agreement_actions": [
{
"agreement_id": "aagr_2k9m4p7q1w8e5r3t6y0u2i4",
"action": "accept"
}
]
}'
{
"signer_id": "aap_8e5r3t6y0u2i4k9m4p7q1w",
"agreement_actions": [
{
"agreement_id": "aagr_2k9m4p7q1w8e5r3t6y0u2i4",
"action": "accept"
}
]
}
{
"results": [
{
"agreement_id": "aagr_2k9m4p7q1w8e5r3t6y0u2i4",
"status": "accepted",
"responded_at": "2026-06-22T09:12:45Z"
}
]
}
Accepts or rejects one or more pending assigned agreements. The signer must be an associated person on the account flagged as an authorized signer (
is_signer). The API does not perform email, phone, or OTP verification before recording the action. An agreement can only be responded to once.
Path Parameters
string
required
Identifier of the Platform customer (
cus_…).string
required
Identifier of the Platform end-customer account (
acct_…).Request Body
string
required
Associated person id (
aap_…) for the authorized signer submitting the action. Must be flagged is_signer on the account.object[]
required
Response
Returns 200 with an agreement action result.object[]
# Sign the request first — see Authentication for x-timestamp, x-nonce and x-signature
curl -X POST "https://api.sbx.hopnow.io/va/v1/customers/cus_x7k2m9p4q1w8e5r3t6y0u2i4/accounts/acct_3mnq7c1e6a2b4f3c9b8d2e5a/agreements/actions" \
-H "x-api-key: $API_KEY" \
-H "x-timestamp: $TIMESTAMP" \
-H "x-nonce: $NONCE" \
-H "x-signature: $SIGNATURE" \
-H "Content-Type: application/json" \
-d '{
"signer_id": "aap_8e5r3t6y0u2i4k9m4p7q1w",
"agreement_actions": [
{
"agreement_id": "aagr_2k9m4p7q1w8e5r3t6y0u2i4",
"action": "accept"
}
]
}'
{
"signer_id": "aap_8e5r3t6y0u2i4k9m4p7q1w",
"agreement_actions": [
{
"agreement_id": "aagr_2k9m4p7q1w8e5r3t6y0u2i4",
"action": "accept"
}
]
}
{
"results": [
{
"agreement_id": "aagr_2k9m4p7q1w8e5r3t6y0u2i4",
"status": "accepted",
"responded_at": "2026-06-22T09:12:45Z"
}
]
}